curl --request GET \
--url https://easy-peasy.ai/api/presets/{slug} \
--header 'x-api-key: <api-key>'import requests
url = "https://easy-peasy.ai/api/presets/{slug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://easy-peasy.ai/api/presets/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "paragraph-writer",
"title": "Paragraph Writer",
"description": "Generate paragraphs with the click of a button!",
"category": [
"Tools",
"Content",
"Social Media",
"Marketing",
"Business"
],
"isFree": true,
"fields": [
{
"name": "keywords",
"label": "What the paragraph is about",
"type": "textarea",
"required": true,
"placeholder": "example: how to optimize your website for search engines",
"maxLength": 2500
},
{
"name": "extra1",
"label": "Keywords to include (optional)",
"type": "text",
"required": false,
"placeholder": "example: meta tags, link building, sitemap.xml",
"maxLength": 1000
},
{
"name": "tone",
"label": "Tone",
"type": "text",
"required": false,
"placeholder": "example: friendly, funny, cheerful",
"maxLength": 250
},
{
"name": "length",
"label": "Output length",
"type": "radio",
"required": false,
"radioOptions": [
{
"value": "Short",
"default": false
},
{
"value": "Medium",
"default": true
},
{
"value": "Long",
"default": false
}
]
}
]
}{
"error": "Missing slug parameter"
}{
"error": "Invalid API key"
}{
"error": "Preset not found"
}{
"error": "Invalid API key"
}Get Preset Details
Retrieve the full configuration for a specific preset, including all input fields and their constraints.
Use this to understand exactly which parameters to pass when calling /api/generate with this preset.
Authorizations
API key for authentication. Get yours at https://easy-peasy.ai/settings/api
Headers
Your API key
Path Parameters
The preset slug (e.g. custom-generator, blog-post, paragraph-writer)
Response
Successfully retrieved preset details
Unique preset identifier
"paragraph-writer"
Human-readable preset name
"Paragraph Writer"
Short description of what the preset does
"Generate paragraphs with the click of a button!"
Category or categories the preset belongs to
Whether this preset is available on the free plan
Input fields required by this preset. Pass these as body parameters to /api/generate.
Show child attributes
Show child attributes
Was this page helpful?
